
Base Distribution - Story # 9473

Status: Resolved Priority: Should have
Author: Daniel Poetzinger Category:
Created: 2010-08-26 Assigned To: Robert Lemke
Updated: 2011-05-05 Due date:
Subject: As Robin I want to use the content-repository to add contentelements and domain objects.
Description

Technical Issue that targets the required refactoring of the content-repository, in order to store contenttype-nodes together with
domain-objects in the same structure.

Acceptance Criteria:

- Since the management view is also part of this sprint it should be possible to see the basic pagetree of the starterpackage: With
pages and its structure + the contentelements in the pages + In a certain page "Blog" there should be some sample "post" domain
records.

- Documentation:
1) The usage of the API (if useful together with a UML scetch showing how it works) should be available on the flow3 website
2) The definition of new contenttypes (How + Samples)
3) Optional: Kickstart TCA like concept for defining the editing behaviour of domain objects in the management view later

- Code-Coverage of persistence and contentrepository layer should be >80%

History
#1 - 2010-08-27 11:06 - Robert Lemke
- Project changed from 1204 to Core Team
- Category deleted (833)

#2 - 2010-08-27 11:07 - Robert Lemke
- Target version set to 628

#3 - 2010-08-27 11:13 - Robert Lemke
- Status changed from New to Accepted
- Assigned To set to Robert Lemke

#4 - 2010-10-21 11:10 - Robert Lemke
- Status changed from Accepted to Resolved

#5 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (628)
